/**
 * 赞赏弹出层
 */
var zanshang = function () {
    var img = "<div class='super'><img src='img/pay/weixin.jpg'><img src='img/pay/zhifubao.jpg'></div>";
    var options = {
        html:true,
        content:img,
        placement:'auto',
        trigger:'focus'
    }
    $("#popover").popover(options);
}
/**
 * 复制结果
 */
var copyResult = function () {
    var result = $("#result").val();
    if(result!= undefined && result != ''){
        $("#result").select();
        try {
            document.execCommand('copy');
            setTip("已经复制！");
        }catch (e){
            setTip("复制失败，请手动复制！");
        }
    }
}
/**
 * 重置
 */
var resetAll = function () {
    $("#input").val("");
    $("#result").val("");
    setTip("");
}
/**
 * 设置提示
 * @param text
 */
var setTip = function (text) {
    if(text!= undefined && text != ''){
        $("#tip").text(text).show();
    }else{
        $("#tip").text("").hide();
    }
};
/**
 * 获取输入框内容
 * @returns {*}
 */
var getInputText = function () {
    var input = $("#input").val();
    if(input!= undefined){
        return input;
    }else{
        return "";
    }
}
/**
 * 设置输入框内容
 * @param text
 */
var setInputText = function (text) {
    $("#input").val(text);
}
/**
 * 设置输入框是否只读
 * @param isReadonly
 */
var setInputRW = function (isReadonly) {
    if(isReadonly!=undefined && isReadonly){
        $("#input").attr("readonly",true);
    }else{
        $("#input").attr("readonly",false);
    }
}
/**
 * 进行转换
 */
var inputChange = function () {
    var type = $(":radio:checked").val();
    var result ="";
    switch (type){
        case "dtox"://大写转小写
            setInputRW(false);
            result = getInputText().toLowerCase();
            break;
        case "removebar"://去掉横杠
            setInputRW(false);
            var replaceWord = $("#replaceWord").val();
            if(replaceWord == undefined || replaceWord == ''){
                replaceWord = "";
            }
            result = getInputText().replace(new RegExp(replaceWord,"gm"),"");
            break;
        case "xtod"://小写转大写
            setInputRW(false);
            result = getInputText().toUpperCase();
            break;
        case "uuid"://小写转大写
            setInputRW(true);
            var uid = getuuid();
            setInputText(uid);
            result = uid;
            break;
        case "getlength"://小写转大写
            setInputRW(false);
            result = getInputText().length;
            break;
        default://默认
            setInputRW(false);
            result = getInputText();
            break;
    }
    $("#result").val(result);
};
/**
 * 初始化，数据框获取焦点，把剪切板内容粘贴到数据框，执行转换
 */
var page_init = function () {
    $("#input").focus();//进入获取焦点
    try {
        document.execCommand('paste');
        inputChange();
    }catch (e){

    }
}
$(document).ready(function(){
    page_init();
    $("#input").keyup(inputChange);//输入同时进行转换
    $("#replaceWord").keyup(inputChange);//替换内容改变也进行转换
    $(":radio[name=type]").on("click",inputChange);//切换类型进行转换
    $("#input").on('focus',function () {setTip();});//输入框获得焦点，清空提示框
    $("#result").on('focus',function () {copyResult();});//结果框获取焦点的时候自动复制内容
    $(".close").on('click',function () {resetAll();});//重置页面所有数据
    zanshang();//赞赏弹出层
    $("#info").popover();//关于层
});