/**
 * menuItemId:单机的菜单项唯一标示id
 parentMenuItemId：单机的菜单项的父菜单id
 mediaType：如果右击是在图片，视屏或者音频上则值对应为“image”，“video”或“audio”
 linkUrl：激活的元素是链接，则为链接地址
 srcUrl：激活元素src属性指向的url地址
 pageUrl：当前打开的页面的url地址
 frameUrl：当前框架的url地址
 selectionText：当前选中的文本内容（如果有）
 editable：是否可编辑
 wasChecked：表示单机前当前复选框或者单选框是否是选中状态
 checked：表示单机后复选框或者单选框状态

 tab.*中参数有：
 id：当前标签页id
 index：标签页所在窗口索引
 windowId：标签页所在窗口的id
 url：当前标签页地址
 title：标签页标题
 * @param info
 * @param tab
 */
var urljson = {
    "huiweitao":"http://www.huiweitao.com",
    "ly6cyh":"http://www.ly6cyh.cn"
};
var onClickHandler = function (info, tab) {
   var url = urljson.huiweitao;
    var id = info.menuItemId;
    if (info.menuItemId == "huiweitao") {
        url =urljson.huiweitao;
    }else if (info.menuItemId == "ly6cyh") {
        url =urljson.ly6cyh;
    }else{

    }
    window.open(url);
    /* var data = "";
     if (info.menuItemId == "tinytools-page") {
         data = info.pageUrl;
     } else if (info.menuItemId == "tinytools-selection") {
         data = info.selectionText;
     } else if (info.menuItemId == "tinytools-link") {
         data = info.linkUrl;
     }
     data = data.replace(/"/g, '\\"');
     chrome.tabs.executeScript(tab.id, {"code": "typeof buildqrcode"}, function (context) {
         if (context && context[0] == "undefined") {
             chrome.tabs.executeScript(tab.id, {"file": "js/jquery.min.js"}, function () {
                 chrome.tabs.executeScript(tab.id, {"file": "js/jquery.qrcode.js"}, function () {
                     chrome.tabs.executeScript(tab.id, {"file": "js/common.js"}, function () {
                         chrome.tabs.executeScript(tab.id, {"code": "buildqrcode(\"" + data + "\");"});
                     });
                 });
             });
         } else {
             chrome.tabs.executeScript(tab.id, {"code": "buildqrcode(\"" + data + "\");"});
         }
     });*/
};
/**
 type：用于配置菜单项类型有四种（“normal”，“checkbox”，“radio”，“separator”），默认normal
 id：菜单项唯一标示
 title：菜单显示的中文
 checked（boolean）：菜单项初始化状态是否为选中
 contexts：列出菜单项将会在哪些位置右击出现（“all”所有“page”页面“frame”框架“selection”选定内容“link”链接“editable”可编辑内容“image”图片“video”视屏“audio”音频“launcher”）
 parentId：父菜单的唯一标示id，用于添加子菜单
 documentUrlPatterns：限制菜单在匹配的url中显示，也就是我上面用到的那个。   http://www.huiweitao.com/*
 enabled：设置菜单是启用还是禁用
 **/
var onInstallHandler = function () {
    chrome.contextMenus.create({
        'title':'汇微淘导航'
        ,contexts:['all']
        ,id:'huiweitao'
        //,documentUrlPatterns:['http://*/*']
    });
    chrome.contextMenus.create({
        'title':'微信机器人'
        ,contexts:['all'],id:'ly6cyh'
        //,documentUrlPatterns:['http://*/*']
    });
};

//添加右键菜单事件
//chrome.contextMenus.onClicked.addListener(onClickHandler);
//添加右键菜单
//chrome.runtime.onInstalled.addListener(onInstallHandler);
